Package: org.grails.encoder.impl

## [Java] Class HTMLEncoder

- org.grails.encoder.impl.HTMLEncoder

-     public class HTMLEncoder
      extends BasicXMLEncoder

  HTMLEncoder implementation currently this doesn't add any extra features to XMLEncoder This encoder is for XML, XHTML and HTML5 documents.

  See Also:
    HTML4Encoder
  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CodecIdentifier` | `HTML_CODEC_IDENTIFIER` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicXMLEncoder` | `ESCAPED_AMP, ESCAPED_APOS, ESCAPED_AT, ESCAPED_BACKSLASH, ESCAPED_BACKTICK, ESCAPED_GT, ESCAPED_LINE_SEPARATOR, ESCAPED_LT, ESCAPED_NON_BREAKING_SPACE, ESCAPED_PARAGRAPH_SEPARATOR, ESCAPED_QUOTE, LINE_SEPARATOR, NBSP, PARAGRAPH_SEPARATOR, XML_CODEC_IDENTIFIER`
    `class AbstractCharReplacementEncoder` | `codecIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTMLEncoder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `doEncode(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicXMLEncoder` | `doEncode, encode, encodeAsXmlObject, escapeCharacter, xmlEscapeCharacter`
    `class AbstractCharReplacementEncoder` | `convertToString, createChainingEncodesToWriter, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded`

- - ### Field Detail

    - #### public static final CodecIdentifier HTML_CODEC_IDENTIFIER

  - ### Constructor Detail

    - #### public HTMLEncoder()

  - ### Method Detail

    - #### protected java.lang.Object doEncode(java.lang.Object o)